<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/PlayerSymptoms/States/Secondary/FeverBlurState.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('da/d2e/_fever_blur_state_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">FeverBlurState.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../da/d2e/_fever_blur_state_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span>FeverBlurSymptom <span class="keyword">extends</span> <a class="code hl_class" href="../../d9/db3/class_symptom_base.html">SymptomBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span>    <a class="code hl_class" href="../../dc/dee/class_material.html">Material</a> <a class="code hl_variable" href="../../d9/db3/class_symptom_base.html#aab92b29cde511576843c4452a39b1671">m_MatGauss</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span> </div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d9/db3/class_symptom_base.html#ac458b13c8a8662db278388be9cb53cec">    5</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d9/db3/class_symptom_base.html#ac458b13c8a8662db278388be9cb53cec">m_BlurDuration</a>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d9/db3/class_symptom_base.html#a5d6b8514d95867832325cb1052c06d84">    6</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d9/db3/class_symptom_base.html#a5d6b8514d95867832325cb1052c06d84">m_BlurStrength</a>;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../d9/db3/class_symptom_base.html#ab5c5e1d1b6816e9937516ab0ff63275d">    7</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d9/db3/class_symptom_base.html#ab5c5e1d1b6816e9937516ab0ff63275d">m_EffectTime</a>;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d9/db3/class_symptom_base.html#a57c8c78ca1d22340e113cfb2c681965e">    8</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d9/db3/class_symptom_base.html#a57c8c78ca1d22340e113cfb2c681965e">m_EffectStartTime</a>;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../d9/db3/class_symptom_base.html#aeebcde160072771ff4eac3088457e7bd">    9</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d9/db3/class_symptom_base.html#aeebcde160072771ff4eac3088457e7bd">m_Time</a>;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d9/db3/class_symptom_base.html#a96d59ffe683dec85a0694e214b389fd1">   10</a></span>    <span class="keyword">protected</span> PPERequester_FeverEffects     <a class="code hl_variable" href="../../d9/db3/class_symptom_base.html#a96d59ffe683dec85a0694e214b389fd1">m_Requester</a>;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    </div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../d9/db3/class_symptom_base.html#a0206853b814156ace4eea01bb1928519">   12</a></span>    <span class="keyword">const</span> <span class="keywordtype">float</span> BLUR_STRENGTH_MIN = 0.15;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d9/db3/class_symptom_base.html#a2c34e2fef40819151c62acf82a1578a7">   13</a></span>    <span class="keyword">const</span> <span class="keywordtype">float</span> BLUR_STRENGTH_MAX = 0.25;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d9/db3/class_symptom_base.html#a9dbe37559ec04c69c01ba90cf4e6d7b0">   15</a></span>    <span class="keyword">const</span> <span class="keywordtype">int</span> BLUR_DURATION_TIME_MIN = 1.5;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d9/db3/class_symptom_base.html#af486bc361b6d74ea669ccd49fab47c64">   16</a></span>    <span class="keyword">const</span> <span class="keywordtype">int</span> BLUR_DURATION_TIME_MAX = 2.5;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d9/db3/class_symptom_base.html#af04c0e763d08cff860d4e365c14fa1b2">   18</a></span>    <span class="keyword">const</span> <span class="keywordtype">int</span> MIN_TIME_BETWEEN_EFFECTS = 25.0;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../d9/db3/class_symptom_base.html#aac7922cdebdb3dcde55c6bcaae206808">   19</a></span>    <span class="keyword">const</span> <span class="keywordtype">int</span> MAX_TIME_BETWEEN_EFFECTS = 35.0;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    <span class="comment">//this is just for the Symptom parameters set-up and is called even if the Symptom doesn&#39;t execute, don&#39;t put any gameplay code in here</span></div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../d9/db3/class_symptom_base.html#a4cc5d3ac596a99c648338d125d8a69e7">   22</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/db3/class_symptom_base.html#a4cc5d3ac596a99c648338d125d8a69e7">OnInit</a>()</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    {</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        <a class="code hl_variable" href="../../d9/dbc/_smpt_anim_meta_8c.html#a3f4dffa0b222839b13a5e662516e6022">m_SymptomType</a> = <a class="code hl_enumeration" href="../../db/d8d/_state_manager_8c.html#a84def72c3d57c1a4612870b946745b74">SymptomTypes</a>.SECONDARY;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <a class="code hl_variable" href="../../db/de7/_bios_lobby_service_8c.html#a377da45434051ad75ffd2b80f36463a1">m_Priority</a> = 0;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <a class="code hl_variable" href="../../d5/d2d/_effect_8c.html#a231c2447c3602426c9e06e6094bae8a8">m_ID</a> = SymptomIDs.SYMPTOM_FEVERBLUR;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        m_DestroyOnAnimFinish = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#ae8326cd63358abd4d8bfa7c8538fecd4">m_IsPersistent</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        m_SyncToClient = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <span class="keywordflow">if</span> ( !<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsDedicatedServer() )</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        {</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>            <a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">CastTo</a>(<a class="code hl_variable" href="../../d4/dd4/_underground_handler_client_8c.html#ab01209073c6fe0d84155702718bf8d58">m_Requester</a>,PPERequesterBank.GetRequester(PPERequester_FeverEffects));</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        }</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    }</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../d9/db3/class_symptom_base.html#accf5726d15c5312e8636b29fcf54374f">   38</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/db3/class_symptom_base.html#accf5726d15c5312e8636b29fcf54374f">OnUpdateServer</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <span class="keywordtype">float</span> deltatime)</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    {</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <span class="comment">//int i = 1 + 1;</span></div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    }</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span> </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="../../d9/db3/class_symptom_base.html#aafa81471dabb40ce9b1a9b9c17f0d332">   44</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/db3/class_symptom_base.html#aafa81471dabb40ce9b1a9b9c17f0d332">OnUpdateClient</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <span class="keywordtype">float</span> deltatime)</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    {</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        <a class="code hl_variable" href="../../d5/d6b/_stamina_handler_8c.html#a2d2e872d4a5c7f9c28009b5890ecca76">m_Time</a> += deltatime;</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        <span class="keywordflow">if</span> ( m_EffectStartTime &lt;= 0 )</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        {</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>            m_EffectStartTime = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga3a1cf1e09030a73e70d718ee2862cac0">RandomFloatInclusive</a>(MIN_TIME_BETWEEN_EFFECTS, MAX_TIME_BETWEEN_EFFECTS);</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>            m_BlurDuration = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga3a1cf1e09030a73e70d718ee2862cac0">RandomFloatInclusive</a>(BLUR_DURATION_TIME_MIN, BLUR_DURATION_TIME_MAX);</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>            m_BlurStrength = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga892ecb1375c9b373969273223a5841f3">RandomFloat</a>(BLUR_STRENGTH_MIN, BLUR_STRENGTH_MAX);</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>            <span class="comment">//PrintString(&quot;m_BlurDuration=&quot; +m_BlurDuration.ToString());</span></div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        }</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        <span class="keywordflow">if</span> ( m_EffectStartTime &gt; 0 &amp;&amp; <a class="code hl_variable" href="../../d5/d6b/_stamina_handler_8c.html#a2d2e872d4a5c7f9c28009b5890ecca76">m_Time</a> &gt; m_EffectStartTime )</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        {</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>            m_EffectTime += deltatime / <a class="code hl_variable" href="../../d9/db3/class_symptom_base.html#ac458b13c8a8662db278388be9cb53cec">m_BlurDuration</a>;</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>            <span class="keywordtype">float</span> cos_value = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga94eedd3910334f450ef989d69ab4e4fd">Sin</a>(m_EffectTime  * <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_variable" href="../../d5/d98/group___math.html#gaf8c064b6b688407b9999ee677efd715d">PI</a>);</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>            <span class="keywordtype">float</span> val = cos_value * <a class="code hl_variable" href="../../d9/db3/class_symptom_base.html#a5d6b8514d95867832325cb1052c06d84">m_BlurStrength</a>;</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>            <span class="comment">//Print(val);</span></div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>            <a class="code hl_variable" href="../../d4/dd4/_underground_handler_client_8c.html#ab01209073c6fe0d84155702718bf8d58">m_Requester</a>.SetFeverIntensity(val);</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>            <span class="comment">//PrintString(&quot;cos=&quot; +cos_value.ToString());</span></div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>            </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>            <span class="keywordflow">if</span> ( m_EffectTime &gt;= 1 )</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>            {</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>                m_EffectTime = 0;</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>                m_EffectStartTime = -1;</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>                <a class="code hl_variable" href="../../d5/d6b/_stamina_handler_8c.html#a2d2e872d4a5c7f9c28009b5890ecca76">m_Time</a> = 0;</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>            }</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        }</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    }</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    </div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno"><a class="line" href="../../d9/db3/class_symptom_base.html#a781c9e008f323604356e716615648b0a">   74</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/db3/class_symptom_base.html#a781c9e008f323604356e716615648b0a">OnGetActivatedServer</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    {</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        <span class="keywordflow">if</span> (<a class="code hl_class" href="../../d9/df7/class_log_manager.html">LogManager</a>.<a class="code hl_function" href="../../d9/df7/class_log_manager.html#a8262a2380fb53e4b6c102984e683ea1d">IsSymptomLogEnable</a>()) <a class="code hl_class" href="../../da/d7d/class_debug.html">Debug</a>.<a class="code hl_function" href="../../da/d7d/class_debug.html#a4340834f4a1fb1535ae508a0d6d150cf">SymptomLog</a>(<span class="stringliteral">&quot;n/a&quot;</span>, this.<a class="code hl_function" href="../../d0/d13/_en_convert_8c.html#afa7657e4f6687b78bc860ddff41c3bef">ToString</a>(), <span class="stringliteral">&quot;n/a&quot;</span>, <span class="stringliteral">&quot;OnGetActivated&quot;</span>, <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.ToString());</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    }</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span> </div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno"><a class="line" href="../../d9/db3/class_symptom_base.html#a22a942b2a49f5350e707dcc349c95f51">   79</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/db3/class_symptom_base.html#a22a942b2a49f5350e707dcc349c95f51">OnGetActivatedClient</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>    {</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        <span class="keywordflow">if</span> (<a class="code hl_class" href="../../d9/df7/class_log_manager.html">LogManager</a>.<a class="code hl_function" href="../../d9/df7/class_log_manager.html#a8262a2380fb53e4b6c102984e683ea1d">IsSymptomLogEnable</a>()) <a class="code hl_class" href="../../da/d7d/class_debug.html">Debug</a>.<a class="code hl_function" href="../../da/d7d/class_debug.html#a4340834f4a1fb1535ae508a0d6d150cf">SymptomLog</a>(<span class="stringliteral">&quot;n/a&quot;</span>, this.<a class="code hl_function" href="../../d0/d13/_en_convert_8c.html#afa7657e4f6687b78bc860ddff41c3bef">ToString</a>(), <span class="stringliteral">&quot;n/a&quot;</span>, <span class="stringliteral">&quot;OnGetActivated&quot;</span>, <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.ToString());</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>    }</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span> </div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno"><a class="line" href="../../d9/db3/class_symptom_base.html#a89112a382a37ed13911fda72393fcd11">   84</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/db3/class_symptom_base.html#a89112a382a37ed13911fda72393fcd11">OnGetDeactivatedServer</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>    {</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        <span class="keywordflow">if</span> (<a class="code hl_class" href="../../d9/df7/class_log_manager.html">LogManager</a>.<a class="code hl_function" href="../../d9/df7/class_log_manager.html#a8262a2380fb53e4b6c102984e683ea1d">IsSymptomLogEnable</a>()) <a class="code hl_class" href="../../da/d7d/class_debug.html">Debug</a>.<a class="code hl_function" href="../../da/d7d/class_debug.html#a4340834f4a1fb1535ae508a0d6d150cf">SymptomLog</a>(<span class="stringliteral">&quot;n/a&quot;</span>, this.<a class="code hl_function" href="../../d0/d13/_en_convert_8c.html#afa7657e4f6687b78bc860ddff41c3bef">ToString</a>(), <span class="stringliteral">&quot;n/a&quot;</span>, <span class="stringliteral">&quot;OnGetDeactivated&quot;</span>, <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.ToString());</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>    }</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>    </div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno"><a class="line" href="../../d9/db3/class_symptom_base.html#ad9896641cd17395bd0da1ac296e0e3d2">   90</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/db3/class_symptom_base.html#ad9896641cd17395bd0da1ac296e0e3d2">OnGetDeactivatedClient</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>    {</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        <a class="code hl_variable" href="../../d4/dd4/_underground_handler_client_8c.html#ab01209073c6fe0d84155702718bf8d58">m_Requester</a>.Stop();</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        <span class="keywordflow">if</span> (<a class="code hl_class" href="../../d9/df7/class_log_manager.html">LogManager</a>.<a class="code hl_function" href="../../d9/df7/class_log_manager.html#a8262a2380fb53e4b6c102984e683ea1d">IsSymptomLogEnable</a>()) <a class="code hl_class" href="../../da/d7d/class_debug.html">Debug</a>.<a class="code hl_function" href="../../da/d7d/class_debug.html#a4340834f4a1fb1535ae508a0d6d150cf">SymptomLog</a>(<span class="stringliteral">&quot;n/a&quot;</span>, this.<a class="code hl_function" href="../../d0/d13/_en_convert_8c.html#afa7657e4f6687b78bc860ddff41c3bef">ToString</a>(), <span class="stringliteral">&quot;n/a&quot;</span>, <span class="stringliteral">&quot;OnGetDeactivated&quot;</span>, <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.ToString());</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>    }</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>}</div>
<div class="ttc" id="a_bios_lobby_service_8c_html_a377da45434051ad75ffd2b80f36463a1"><div class="ttname"><a href="../../db/de7/_bios_lobby_service_8c.html#a377da45434051ad75ffd2b80f36463a1">m_Priority</a></div><div class="ttdeci">int m_Priority</div><div class="ttdef"><b>Definition:</b> <a href="../../db/de7/_bios_lobby_service_8c_source.html#l00033">BiosLobbyService.c:33</a></div></div>
<div class="ttc" id="a_effect_8c_html_a231c2447c3602426c9e06e6094bae8a8"><div class="ttname"><a href="../../d5/d2d/_effect_8c.html#a231c2447c3602426c9e06e6094bae8a8">m_ID</a></div><div class="ttdeci">protected int m_ID</div><div class="ttdoc">ID of effect, given by SEffectManager when registered (automatically done when playing through it)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2d/_effect_8c_source.html#l00049">Effect.c:49</a></div></div>
<div class="ttc" id="a_en_convert_8c_html_afa7657e4f6687b78bc860ddff41c3bef"><div class="ttname"><a href="../../d0/d13/_en_convert_8c.html#afa7657e4f6687b78bc860ddff41c3bef">ToString</a></div><div class="ttdeci">proto string ToString()</div></div>
<div class="ttc" id="a_hand___events_8c_html_a02917914db83b7759e19cb7450c92354"><div class="ttname"><a href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a></div><div class="ttdeci">Man m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d21/_hand___events_8c_source.html#l00042">Hand_Events.c:42</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_ae8326cd63358abd4d8bfa7c8538fecd4"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#ae8326cd63358abd4d8bfa7c8538fecd4">m_IsPersistent</a></div><div class="ttdeci">bool m_IsPersistent</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00016">ModifierBase.c:16</a></div></div>
<div class="ttc" id="a_smpt_anim_meta_8c_html_a3f4dffa0b222839b13a5e662516e6022"><div class="ttname"><a href="../../d9/dbc/_smpt_anim_meta_8c.html#a3f4dffa0b222839b13a5e662516e6022">m_SymptomType</a></div><div class="ttdeci">int m_SymptomType</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dbc/_smpt_anim_meta_8c_source.html#l00013">SmptAnimMeta.c:13</a></div></div>
<div class="ttc" id="a_stamina_handler_8c_html_a2d2e872d4a5c7f9c28009b5890ecca76"><div class="ttname"><a href="../../d5/d6b/_stamina_handler_8c.html#a2d2e872d4a5c7f9c28009b5890ecca76">m_Time</a></div><div class="ttdeci">protected float m_Time</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d6b/_stamina_handler_8c_source.html#l00245">StaminaHandler.c:245</a></div></div>
<div class="ttc" id="a_state_manager_8c_html_a84def72c3d57c1a4612870b946745b74"><div class="ttname"><a href="../../db/d8d/_state_manager_8c.html#a84def72c3d57c1a4612870b946745b74">SymptomTypes</a></div><div class="ttdeci">SymptomTypes</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d8d/_state_manager_8c_source.html#l00025">StateManager.c:26</a></div></div>
<div class="ttc" id="a_underground_handler_client_8c_html_ab01209073c6fe0d84155702718bf8d58"><div class="ttname"><a href="../../d4/dd4/_underground_handler_client_8c.html#ab01209073c6fe0d84155702718bf8d58">m_Requester</a></div><div class="ttdeci">private PPERUndergroundAcco m_Requester</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd4/_underground_handler_client_8c_source.html#l00022">UndergroundHandlerClient.c:22</a></div></div>
<div class="ttc" id="aclass_debug_html"><div class="ttname"><a href="../../da/d7d/class_debug.html">Debug</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d4c/3___game_2tools_2_debug_8c_source.html#l00013">Debug.c:14</a></div></div>
<div class="ttc" id="aclass_debug_html_a4340834f4a1fb1535ae508a0d6d150cf"><div class="ttname"><a href="../../da/d7d/class_debug.html#a4340834f4a1fb1535ae508a0d6d150cf">Debug::SymptomLog</a></div><div class="ttdeci">static void SymptomLog(string message=LOG_DEFAULT, string plugin=LOG_DEFAULT, string author=LOG_DEFAULT, string label=LOG_DEFAULT, string entity=LOG_DEFAULT)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d4c/3___game_2tools_2_debug_8c_source.html#l00140">Debug.c:140</a></div></div>
<div class="ttc" id="aclass_log_manager_html"><div class="ttname"><a href="../../d9/df7/class_log_manager.html">LogManager</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d4c/3___game_2tools_2_debug_8c_source.html#l00542">Debug.c:543</a></div></div>
<div class="ttc" id="aclass_log_manager_html_a8262a2380fb53e4b6c102984e683ea1d"><div class="ttname"><a href="../../d9/df7/class_log_manager.html#a8262a2380fb53e4b6c102984e683ea1d">LogManager::IsSymptomLogEnable</a></div><div class="ttdeci">static bool IsSymptomLogEnable()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d4c/3___game_2tools_2_debug_8c_source.html#l00618">Debug.c:618</a></div></div>
<div class="ttc" id="aclass_material_html"><div class="ttname"><a href="../../dc/dee/class_material.html">Material</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d3d/proto_8c_source.html#l00267">proto.c:268</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_symptom_base_html"><div class="ttname"><a href="../../d9/db3/class_symptom_base.html">SymptomBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/da3/_state_base_8c_source.html#l00001">StateBase.c:2</a></div></div>
<div class="ttc" id="aclass_symptom_base_html_a22a942b2a49f5350e707dcc349c95f51"><div class="ttname"><a href="../../d9/db3/class_symptom_base.html#a22a942b2a49f5350e707dcc349c95f51">SymptomBase::OnGetActivatedClient</a></div><div class="ttdeci">override void OnGetActivatedClient(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d2e/_fever_blur_state_8c_source.html#l00079">FeverBlurState.c:79</a></div></div>
<div class="ttc" id="aclass_symptom_base_html_a4cc5d3ac596a99c648338d125d8a69e7"><div class="ttname"><a href="../../d9/db3/class_symptom_base.html#a4cc5d3ac596a99c648338d125d8a69e7">SymptomBase::OnInit</a></div><div class="ttdeci">override void OnInit()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d2e/_fever_blur_state_8c_source.html#l00022">FeverBlurState.c:22</a></div></div>
<div class="ttc" id="aclass_symptom_base_html_a57c8c78ca1d22340e113cfb2c681965e"><div class="ttname"><a href="../../d9/db3/class_symptom_base.html#a57c8c78ca1d22340e113cfb2c681965e">SymptomBase::m_EffectStartTime</a></div><div class="ttdeci">float m_EffectStartTime</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d2e/_fever_blur_state_8c_source.html#l00008">FeverBlurState.c:8</a></div></div>
<div class="ttc" id="aclass_symptom_base_html_a5d6b8514d95867832325cb1052c06d84"><div class="ttname"><a href="../../d9/db3/class_symptom_base.html#a5d6b8514d95867832325cb1052c06d84">SymptomBase::m_BlurStrength</a></div><div class="ttdeci">float m_BlurStrength</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d2e/_fever_blur_state_8c_source.html#l00006">FeverBlurState.c:6</a></div></div>
<div class="ttc" id="aclass_symptom_base_html_a781c9e008f323604356e716615648b0a"><div class="ttname"><a href="../../d9/db3/class_symptom_base.html#a781c9e008f323604356e716615648b0a">SymptomBase::OnGetActivatedServer</a></div><div class="ttdeci">override void OnGetActivatedServer(PlayerBase player)</div><div class="ttdoc">gets called once on an Symptom which is being activated</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d2e/_fever_blur_state_8c_source.html#l00074">FeverBlurState.c:74</a></div></div>
<div class="ttc" id="aclass_symptom_base_html_a89112a382a37ed13911fda72393fcd11"><div class="ttname"><a href="../../d9/db3/class_symptom_base.html#a89112a382a37ed13911fda72393fcd11">SymptomBase::OnGetDeactivatedServer</a></div><div class="ttdeci">override void OnGetDeactivatedServer(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d2e/_fever_blur_state_8c_source.html#l00084">FeverBlurState.c:84</a></div></div>
<div class="ttc" id="aclass_symptom_base_html_a96d59ffe683dec85a0694e214b389fd1"><div class="ttname"><a href="../../d9/db3/class_symptom_base.html#a96d59ffe683dec85a0694e214b389fd1">SymptomBase::m_Requester</a></div><div class="ttdeci">protected PPERequester_FeverEffects m_Requester</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d2e/_fever_blur_state_8c_source.html#l00010">FeverBlurState.c:10</a></div></div>
<div class="ttc" id="aclass_symptom_base_html_aab92b29cde511576843c4452a39b1671"><div class="ttname"><a href="../../d9/db3/class_symptom_base.html#aab92b29cde511576843c4452a39b1671">SymptomBase::m_MatGauss</a></div><div class="ttdeci">Material m_MatGauss</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/dbf/_blindness_state_8c_source.html#l00003">BlindnessState.c:3</a></div></div>
<div class="ttc" id="aclass_symptom_base_html_aafa81471dabb40ce9b1a9b9c17f0d332"><div class="ttname"><a href="../../d9/db3/class_symptom_base.html#aafa81471dabb40ce9b1a9b9c17f0d332">SymptomBase::OnUpdateClient</a></div><div class="ttdeci">override void OnUpdateClient(PlayerBase player, float deltatime)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d2e/_fever_blur_state_8c_source.html#l00044">FeverBlurState.c:44</a></div></div>
<div class="ttc" id="aclass_symptom_base_html_ab5c5e1d1b6816e9937516ab0ff63275d"><div class="ttname"><a href="../../d9/db3/class_symptom_base.html#ab5c5e1d1b6816e9937516ab0ff63275d">SymptomBase::m_EffectTime</a></div><div class="ttdeci">float m_EffectTime</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d2e/_fever_blur_state_8c_source.html#l00007">FeverBlurState.c:7</a></div></div>
<div class="ttc" id="aclass_symptom_base_html_ac458b13c8a8662db278388be9cb53cec"><div class="ttname"><a href="../../d9/db3/class_symptom_base.html#ac458b13c8a8662db278388be9cb53cec">SymptomBase::m_BlurDuration</a></div><div class="ttdeci">float m_BlurDuration</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d2e/_fever_blur_state_8c_source.html#l00005">FeverBlurState.c:5</a></div></div>
<div class="ttc" id="aclass_symptom_base_html_accf5726d15c5312e8636b29fcf54374f"><div class="ttname"><a href="../../d9/db3/class_symptom_base.html#accf5726d15c5312e8636b29fcf54374f">SymptomBase::OnUpdateServer</a></div><div class="ttdeci">override void OnUpdateServer(PlayerBase player, float deltatime)</div><div class="ttdoc">gets called every frame</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d2e/_fever_blur_state_8c_source.html#l00038">FeverBlurState.c:38</a></div></div>
<div class="ttc" id="aclass_symptom_base_html_ad9896641cd17395bd0da1ac296e0e3d2"><div class="ttname"><a href="../../d9/db3/class_symptom_base.html#ad9896641cd17395bd0da1ac296e0e3d2">SymptomBase::OnGetDeactivatedClient</a></div><div class="ttdeci">override void OnGetDeactivatedClient(PlayerBase player)</div><div class="ttdoc">only gets called once on an active Symptom that is being deactivated</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d2e/_fever_blur_state_8c_source.html#l00090">FeverBlurState.c:90</a></div></div>
<div class="ttc" id="aclass_symptom_base_html_aeebcde160072771ff4eac3088457e7bd"><div class="ttname"><a href="../../d9/db3/class_symptom_base.html#aeebcde160072771ff4eac3088457e7bd">SymptomBase::m_Time</a></div><div class="ttdeci">float m_Time</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d2e/_fever_blur_state_8c_source.html#l00009">FeverBlurState.c:9</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___enforce_html_d4/d14/class_class"><div class="ttname"><a href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a></div><div class="ttdoc">Super root of all classes in Enforce script.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d15/_en_script_8c_source.html#l00010">EnScript.c:11</a></div></div>
<div class="ttc" id="agroup___enforce_html_ga253ceb932745ea74ca4a4d3d9e8c12d7"><div class="ttname"><a href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">Class::CastTo</a></div><div class="ttdeci">static proto bool CastTo(out Class to, Class from)</div><div class="ttdoc">Try to safely down-cast base class to child class.</div></div>
<div class="ttc" id="agroup___math_html_d4/d34/class_math"><div class="ttname"><a href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00006">EnMath.c:7</a></div></div>
<div class="ttc" id="agroup___math_html_ga3a1cf1e09030a73e70d718ee2862cac0"><div class="ttname"><a href="../../d5/d98/group___math.html#ga3a1cf1e09030a73e70d718ee2862cac0">Math::RandomFloatInclusive</a></div><div class="ttdeci">static float RandomFloatInclusive(float min, float max)</div><div class="ttdoc">Returns a random float number between and min [inclusive] and max [inclusive].</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00086">EnMath.c:86</a></div></div>
<div class="ttc" id="agroup___math_html_ga892ecb1375c9b373969273223a5841f3"><div class="ttname"><a href="../../d5/d98/group___math.html#ga892ecb1375c9b373969273223a5841f3">Math::RandomFloat</a></div><div class="ttdeci">static proto float RandomFloat(float min, float max)</div><div class="ttdoc">Returns a random float number between and min[inclusive] and max[exclusive].</div></div>
<div class="ttc" id="agroup___math_html_ga94eedd3910334f450ef989d69ab4e4fd"><div class="ttname"><a href="../../d5/d98/group___math.html#ga94eedd3910334f450ef989d69ab4e4fd">Math::Sin</a></div><div class="ttdeci">static proto float Sin(float angle)</div><div class="ttdoc">Returns sinus of angle in radians.</div></div>
<div class="ttc" id="agroup___math_html_gaf8c064b6b688407b9999ee677efd715d"><div class="ttname"><a href="../../d5/d98/group___math.html#gaf8c064b6b688407b9999ee677efd715d">Math::PI</a></div><div class="ttdeci">static const float PI</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00012">EnMath.c:12</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_e94b680269169ad2f35011224aeeda21.html">PlayerSymptoms</a></li><li class="navelem"><a class="el" href="../../dir_fb2fe037783215438a313996a97cfe9f.html">States</a></li><li class="navelem"><a class="el" href="../../dir_3620cae9dcfaa65f58c342e62a19b8ee.html">Secondary</a></li><li class="navelem"><a class="el" href="../../da/d2e/_fever_blur_state_8c.html">FeverBlurState.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
